<?php if(!defined('fb_tools')) die("Plugin-File for fb_tools");	// (charset=iso-8859-1 / tabs=8 / lines=cr+lf / lang=de)

 $plugin = "UnProtect 0.03 (c) 10.06.2019 by Michael Engelke";
 $info = 'Modifiziert die Konfiguration, um die geschtzten Bereiche der GUI mit "no" freizuschalten'; /*

Plugingeschichte:
0.01 13.07.2016 (Intern)
 - Erste Version
0.02 20.07.2016
 - Verschiedene Bugs behoben
0.03 10.06.2019
 - NEU: Untersttzung fr benannte Parameter (fb_Tools 0.25+)
*/
 if(!ifset($cfg['ver'][10]) or $cfg['ver'][10] < 0.25)
  out("Dieses Plugin bentigt {$cfg['ver'][1]} 0.25 oder neuer!");
 elseif(ifset($cfg['help']) or !getArg(true)) {				// Hilfe Ausgeben
  out("$plugin\n$info\n\n$self <fritz.box> <PlugIn> [plug:$plug] [opt:yes|no]"
  .((ifset($cfg['help'],'/[ab]/i')) ? "\n\nBeispiel:\n$self fritz.box plugin $plug no\n" : ""));
 }
 elseif($arg = getArg('opt','/^(yes|no)$/')) {				// Parameter berprfen
  if($sid = (ifset($cfg['bsid'])) ? $cfg['bsid'] : login()) {		// Login durchfhren

   dbug("Hole Konfiguration");						// Debug-Meldung fr cfgexport
   $data = cfgexport(false,$cfg['pass']);				// Konfig aus der Fritz!Box holen

   dbug("Patche Konfiguration");					// Debug-Meldung fr preg_replace

   $datapat = preg_replace('/(((?<!lanbridges_gui)_hidden|gui_readonly) = )(yes|no)(?=;\s*$)/m','$1'.$arg[1],$data);	// Patchen

   if($data != $datapat) {						// Auf nderung prfen
    if($cfg['dbug']/(1<<0)%2)						// Debug-Meldung fr cfgimport
     dbug("Sende Konfiguration");
    out((cfgimport(false,$cfg['pass'],$datapat))			// Importieren
     ? "Konfig wurde hochgeladen und wird nun bearbeitet" : errmsg(0,'cfgimport'));	// Rckmeldung
   }
   else
    out("Keine nderungen vorgenommen");

   if(!ifset($cfg['bsid']))						// Abmelden
    logout($sid);
  }
  else
   out(errmsg(0,'login'));						// Login fehlgeschlagen
 }
 else
  out("Parameter muss korrekt angegeben werden");

?>
