<?php if(!defined('fb_tools')) die("Plugin-File for fb_tools");	// (charset=iso-8859-1 / tabs=8 / lines=cr+lf / lang=de)

 $plugin = "Neustart 0.02 (c) 21.08.2019 by Michael Engelke";
 $info = 'Startet die Fritz!Box neu! (Web-Variante)'; /*

Plugingeschichte:
0.01 23.05.2018
 - Erste Version
0.02 21.08.2019
 - Untersttzung fr Fritz!OS 4.x - 7.1
*/
 if(ifset($cfg['help'])) {						// Hilfe Ausgeben
  out("$plugin\n$info\n\n$self <fritz.box> Plugin $plug"
  .((ifset($cfg['help'],'/[ab]/i')) ? "\n\nBeispiel:\n$self fritz.box plugin $plug\n\n" : ""));
 }
 elseif($sid = (ifset($cfg['bsid'])) ? $cfg['bsid'] : login()) {	// Login durchfhren
  out("Starte $cfg[host] neu");						// Kurze Mitteilung
  $s = "&sid=$sid";
  if($GLOBALS['cfg']['fiwa'] >= 708) {
   dbug("Neustart-Variante fr Fritz!OS 7.1+");
   request('POST','/data.lua',"xhr=1&no_sidrenew=&reboot=&oldpage=%2Fsystem%2Freboot.lua$s");		// Reset ankndigen
   request('POST','/reboot.lua',"ajax=1&no_sidrenew=1&xhr=1&useajax=1$s");// und besttigen
  }
  elseif($GLOBALS['cfg']['fiwa'] >= 650) {
   dbug("Neustart-Variante fr Fritz!OS 6.5 - 7.0");
   request('POST','/data.lua',"xhr=1&lang=de&no_sidrenew=&reboot=&oldpage=%2Fsystem%2Freboot.lua$s");	// Reset ankndigen
   request('GET',"/reboot.lua?ajax=1&no_sidrenew=1&xhr=1$s");		// und besttigen
  }
  else {
   dbug("Neustart-Variante fr Fritz!OS 4.x - 6.3");
   request('POST','/system/reboot.lua',"reboot=$s");			// Reset ankndigen
   request('GET','/reboot.lua',"ajax=1&xhr=1$s");			// und besttigen
  }
  if(!ifset($cfg['bsid']))						// Abmelden
   logout($sid);
 }
 else
  out(errmsg(0,'login'));						// Login fehlgeschlagen

?>
